Mailinglist Archive: opensuse-packaging (80 mails)

< Previous Next >
Re: [opensuse-packaging] strict-aliasing and dlsym
  • From: Cristian Morales Vega <cmorve69@xxxxxxxx>
  • Date: Sun, 15 Aug 2010 21:29:20 +0200
  • Message-id: <AANLkTin_0LQfWs+LVfR8BOOAZTUs12vp9fhHgnM85uhp@xxxxxxxxxxxxxx>
2010/8/15 Michael Matz <matz@xxxxxxx>:
On Sun, 15 Aug 2010, Cristian Morales Vega wrote:
So gcc is C99 compliant but not POSIX 2008 compliant (and gcc's man
doesn't shows any posix option for -std). Someone feels like opening a
bug report for this to gcc? I don't have the standards knowledge that
will be needed when people starts to argue if POSIX should be
dictating compilers behavior.

It should on platforms that are supposed to be POSIX.  Meaning that GCC
should have a mode for POSIX compliance and further that this mode should
be default on Linux.  The technical change necessary for this is fairly
small.

OK. It's now gcc bug #45289.
--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-packaging+help@xxxxxxxxxxxx

< Previous Next >